Subject: bug#26791: closed (Re: bug#26791: Attempt to apply a string as a procedure during Hydra evaluation)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 May 2017 09:36:02 +0000

Your bug report

#26791: Attempt to apply a string as a procedure during Hydra evaluation

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26791
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26791: Attempt to apply a string as a procedure during Hydra evaluation
From: [email-masked] (Ludovic Courtès)
To: Danny Milosavljevic <[email-masked]>
Cc: Mark H Weaver <[email-masked]>, [email-masked]
Date: Sun, 07 May 2017 11:35:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> I think it always works (also without compilation) when I move the boot-parameters record definition up in gnu/system.scm (so it comes before its clients).

Yeah I just pushed that as 8e815c5b6903a545c46b674c1cd1cc3180f835db.

The thing is that ‘boot-parameters’ is a macro, so it must be defined
before used.

Because of the way build-aux/compile-all.scm builds things (first loads
modules, then builds them), this error would not show up because the
macro would have been defined during the load phase.  However evaluation
on Hydra relies on auto-compilation, which does things the “normal” way.

I’ve started an evaluation of ‘master’ on Hydra.

Thanks,
Ludo’.

Subject: Attempt to apply a string as a procedure during Hydra evaluation
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Fri, 05 May 2017 20:40:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The error message is:

  ERROR: In procedure GNU with Linux-Libre 4.11 (beta):
  ERROR: Wrong type to apply: "GNU with Linux-Libre 4.11 (beta)"

Here's the head and tail of the output of the evaluator.  Unfortunately,
the relevant git commit is not printed.

      Mark

--8<---------------cut here---------------start------------->8---
considering jobset gnu:master (last checked 72008s ago)
checking out Git branch master from https://git.savannah.gnu.org/r/guix.git
Initialized empty Git repository in /tmp/git-checkout-tmp-9693/git-export/.git/
>From /var/lib/hydra/scm/git/f08e53b7f0f3ce68a74e8745c37add3d0aecabda3e30c724b0d838fdc6743e2b
 * branch            master     -> FETCH_HEAD
 * [new branch]      master     -> origin/master
Switched to a new branch 'fetchgit'
removing `.git'...
hash is c2f6ba71188a29e6940662f54dded0b754a41d03fe05d2e40bc1e054299f7ffa
path is /gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export
evaluator hydra-eval-guile-jobs
hydra-eval-guile-jobs returned exit code 1:
;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /usr/local/bin/hydra-eval-guile-jobs
;;; compiled /home/hydra/.cache/guile/ccache/2.0-LE-8-2.0/usr/local/bin/hydra-eval-guile-jobs.go
adding `/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export' to the load path
prepending "/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/build-aux/hydra/../.." to the load path
;;; compiling /home/hydra/.guix-profile/share/guile/site/2.0/guix/config.scm
;;; compiled /home/hydra/.cache/guile/ccache/2.0-LE-8-2.0/gnu/store/swbhvy5vw84hwjxwc2v069fdmr6b1cfy-guix-0.12.0-2.b291/share/guile/site/2.0/guix/config.scm.g
o

[...]

;;; compiling /gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/build-aux/hydra/../../gnu/packages/wine.scm
;;; compiled /home/hydra/.cache/guile/ccache/2.0-LE-8-2.0/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/gnu/packages/wine.scm.go
;;; compiling /gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/build-aux/hydra/../../gnu/packages/xfce.scm
;;; compiled /home/hydra/.cache/guile/ccache/2.0-LE-8-2.0/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/gnu/packages/xfce.scm.go
;;; compiling /gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/build-aux/hydra/../../gnu/packages/xnee.scm
;;; compiled /home/hydra/.cache/guile/ccache/2.0-LE-8-2.0/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/gnu/packages/xnee.scm.go
Backtrace:
In unknown file:
   ?: 19 [apply-smob/1 #<catch-closure 2387c00>]
In ice-9/boot-9.scm:
  66: 18 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 17 [eval # #]
In unknown file:
   ?: 16 [call-with-input-string "(apply (module-ref (resolve-interface '(hydra-eval-guile-jobs)) 'eval-guile-jobs) (cdr (command-line)))" ...]
In ice-9/command-line.scm:
 181: 15 [#<procedure 2399320 at ice-9/command-line.scm:176:6 (port)> #<input: string 2952820>]
In unknown file:
   ?: 14 [eval (apply (module-ref # #) (cdr #)) #<directory (guile-user) 2374bd0>]
In /usr/local/bin/hydra-eval-guile-jobs:
 240: 13 [eval-guile-jobs "/gnu/store/vsw3112dw48ai5arsxf1qsvma8y4fvqp-git-export/build-aux/hydra/gnu-system.scm" ...]
In ice-9/eval.scm:
 481: 12 [lp (#<fluid 38>) (#f)]
In srfi/srfi-1.scm:
 643: 11 [append-map #<procedure 56f3750 at ice-9/eval.scm:416:20 (a)> #]
 575: 10 [map #<procedure 56f3750 at ice-9/eval.scm:416:20 (a)> #]
In ice-9/eval.scm:
 387: 9 [eval # #]
 387: 8 [eval # #]
 387: 7 [eval # #]
In guix/store.scm:
1338: 6 [run-with-store # #<procedure a6d5c90 at ice-9/eval.scm:416:20 (a)> # ...]
In gnu/system/vm.scm:
 287: 5 [#<procedure a8c48c0 at gnu/system/vm.scm:287:4 (state)> #]
In gnu/services.scm:
 268: 4 [#<procedure c536ed0 at gnu/services.scm:268:2 (state)> #]
In gnu/system.scm:
 293: 3 [#<procedure 92d6a00 at gnu/system.scm:293:8 (state)> #]
 797: 2 [#<procedure 7a1ccc0 at gnu/system.scm:797:2 (state)> #]
 778: 1 [#<procedure 948bc00 at gnu/system.scm:773:2 (state)> #]
In unknown file:
   ?: 0 ["GNU with Linux-Libre 4.11 (beta)" "GNU with Linux-Libre 4.11 (beta)"]

ERROR: In procedure GNU with Linux-Libre 4.11 (beta):
ERROR: Wrong type to apply: "GNU with Linux-Libre 4.11 (beta)"
--8<---------------cut here---------------end--------------->8---